Record funding
curl --request POST \
--url https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_portfolio_id": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding"
payload = { "business_portfolio_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business_portfolio_id: '<string>'})
};
fetch('https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'business_portfolio_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding"
payload := strings.NewReader("{\n \"business_portfolio_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_portfolio_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_portfolio_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"waba_id": "<string>",
"business_portfolio_id": "<string>",
"status": "funded",
"reason": "<string>",
"message": "<string>",
"currency": "<string>",
"waba_currency": "<string>",
"meta_billing_mode": "customer_managed",
"last_verified_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z",
"paid_messages": {
"paused": true,
"reasons": [
"<string>"
]
},
"operation": {
"id": "<string>",
"status": "queued",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_kind": "<string>"
}
}{
"waba_id": "<string>",
"business_portfolio_id": "<string>",
"status": "funded",
"reason": "<string>",
"message": "<string>",
"currency": "<string>",
"waba_currency": "<string>",
"meta_billing_mode": "customer_managed",
"last_verified_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z",
"paid_messages": {
"paused": true,
"reasons": [
"<string>"
]
},
"operation": {
"id": "<string>",
"status": "queued",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_kind": "<string>"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Funding
Record funding
Record local funding for a WhatsApp Business Account under a business portfolio. Does not call Meta’s credit-line API until a credit line is configured. A new run that is not funded returns 202. A repeat within 30 seconds reuses the last operation and returns 200. A revoked account, or a portfolio mismatch, returns 409.
Required scope: customers:write
POST
/
v1
/
whatsapp
/
accounts
/
{wabaId}
/
funding
Record funding
curl --request POST \
--url https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_portfolio_id": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding"
payload = { "business_portfolio_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business_portfolio_id: '<string>'})
};
fetch('https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'business_portfolio_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding"
payload := strings.NewReader("{\n \"business_portfolio_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_portfolio_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/whatsapp/accounts/{wabaId}/funding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_portfolio_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"waba_id": "<string>",
"business_portfolio_id": "<string>",
"status": "funded",
"reason": "<string>",
"message": "<string>",
"currency": "<string>",
"waba_currency": "<string>",
"meta_billing_mode": "customer_managed",
"last_verified_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z",
"paid_messages": {
"paused": true,
"reasons": [
"<string>"
]
},
"operation": {
"id": "<string>",
"status": "queued",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_kind": "<string>"
}
}{
"waba_id": "<string>",
"business_portfolio_id": "<string>",
"status": "funded",
"reason": "<string>",
"message": "<string>",
"currency": "<string>",
"waba_currency": "<string>",
"meta_billing_mode": "customer_managed",
"last_verified_at": "2023-11-07T05:31:56Z",
"last_checked_at": "2023-11-07T05:31:56Z",
"paid_messages": {
"paused": true,
"reasons": [
"<string>"
]
},
"operation": {
"id": "<string>",
"status": "queued",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_kind": "<string>"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Headers
Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.
Maximum string length:
255Path Parameters
Body
application/json
Response
Existing operation reused.
Available options:
funded, pending, unknown, not_funded, revoked Available options:
customer_managed, partner_managed Show child attributes
Show child attributes
Show child attributes
Show child attributes